%define upstream_name    Devel-REPL
%define upstream_version 1.003029

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2
Epoch:      1

Summary:    a modern perl interactive shell
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Devel/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(App::Nopaste)
BuildRequires: perl(B::Concise) >= 0.620.0
BuildRequires: perl(B::Keywords)
BuildRequires: perl(CPAN::Meta::Requirements) >= 2.120.620
BuildRequires: perl(Data::Dump::Streamer) >= 2.390.0
BuildRequires: perl(Data::Dumper::Concise)
BuildRequires: perl(Devel::Peek)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Next)
BuildRequires: perl(File::Spec)
BuildRequires: perl(Lexical::Persistence)
BuildRequires: perl(Module::Metadata)
BuildRequires: perl(Module::Refresh)
BuildRequires: perl(Module::Runtime)
BuildRequires: perl(Moose) >= 0.930.0
BuildRequires: perl(Moose::Meta::Role)
BuildRequires: perl(Moose::Role)
BuildRequires: perl(MooseX::Getopt) >= 0.180.0
BuildRequires: perl(MooseX::Object::Pluggable) >= 0.0.900
BuildRequires: perl(PPI)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Sys::SigAction)
BuildRequires: perl(Task::Weaken)
BuildRequires: perl(Term::ANSIColor)
BuildRequires: perl(Term::ReadLine)
BuildRequires: perl(Test::Fatal)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(Time::HiRes)
BuildRequires: perl(if)
BuildRequires: perl(namespace::autoclean)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%{?perl_default_filter}

%description
This is an interactive shell for Perl, commonly known as a REPL - Read,
Evaluate, Print, Loop. The shell provides for rapid development or
testing of code without the need to create a temporary source code file.

Through a plugin system, many features are available on demand. You can
also tailor the environment through the use of profiles and run control
files, for example to pre-load certain Perl modules when working on a
particular project.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor --skipdeps
%make_build

%install
%make_install

%check
unset AUTHOR_TESTING
export HARNESS_OPTIONS=j$(perl -e 'if ($ARGV[0] =~ /.*-j([0-9][0-9]*).*/) {print $1} else {print 1}' -- '%{?_smp_mflags}')
make test

%files
%doc CONTRIBUTING Changes INSTALL LICENCE META.json META.yml MYMETA.yml README examples
%{_mandir}/man3/*
%{perl_vendorlib}/*
%{_bindir}/re.pl


%changelog
* Tue Aug 02 2022 tv <tv> 1:1.3.29-2.mga9
+ Revision: 1874595
- Fix testsuite (missing BR + needs fixed perl-Data-Dump-Streamer)

* Tue May 31 2022 tv <tv> 1:1.3.29-1.mga9
+ Revision: 1860801
- update to 1.003029

* Tue Mar 22 2022 umeabot <umeabot> 1:1.3.28-4.mga9
+ Revision: 1819249
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1:1.3.28-3.mga8
+ Revision: 1503855
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 1:1.3.28-2.mga7
+ Revision: 1282844
- Mageia 7 Mass Rebuild

* Fri Jul 28 2017 shlomif <shlomif> 1:1.3.28-1.mga7
+ Revision: 1131803
- add missing BR
- New version

* Sun Jun 19 2016 pterjan <pterjan> 1:1.3.27-3.mga6
+ Revision: 1025601
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 1:1.3.27-2.mga6
+ Revision: 969342
- Mageia 6 Mass Rebuild

* Sun Aug 23 2015 sander85 <sander85> 1:1.3.27-1.mga6
+ Revision: 868370
- update to 1.003027

* Mon Dec 15 2014 shlomif <shlomif> 1:1.3.26-1.mga5
+ Revision: 803223
- New upstream version 1.003026

* Wed Oct 15 2014 umeabot <umeabot> 1:1.3.25-4.mga5
+ Revision: 747246
- Second Mageia 5 Mass Rebuild

* Thu Oct 02 2014 tv <tv> 1:1.3.25-3.mga5
+ Revision: 735601
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 1:1.3.25-2.mga5
+ Revision: 684329
- Mageia 5 Mass Rebuild

* Mon Feb 10 2014 jquelin <jquelin> 1:1.3.25-1.mga5
+ Revision: 588359
- update to 1.003025

* Fri Oct 18 2013 umeabot <umeabot> 1:1.3.14-3.mga4
+ Revision: 510822
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1:1.3.14-2.mga3
+ Revision: 365796
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Nov 06 2012 jquelin <jquelin> 1:1.3.14-1.mga3
+ Revision: 315015
- update to 1.003014

* Tue Jun 05 2012 jquelin <jquelin> 1:1.3.13-1.mga3
+ Revision: 255750
- adding missing buildrequires:
- update to 1.003013

* Tue Jan 25 2011 jquelin <jquelin> 1:1.3.12-1.mga1
+ Revision: 38477
- mageia rebuild
- imported package perl-Devel-REPL

